org.apache.fontbox.util.autodetect

## Class FontFileFinder

- java.lang.Object
- - org.apache.fontbox.util.autodetect.FontFileFinder

    public class FontFileFinder
    extends Object

Helps to autodetect/locate available operating system fonts. This class is based on a class provided by Apache FOP. see org.apache.fop.fonts.autodetect.FontFileFinder

### Constructor Summary

Constructors
Constructor and Description
`FontFileFinder()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<URI>` `find()` Automagically finds a list of font files on local system.
`List<URI>` `find(String dir)` Searches a given directory for font files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontFileFinder

    public FontFileFinder()

Default constructor.

### Method Detail

#### find

    public List<URI> find()

Automagically finds a list of font files on local system.

Returns:
  List<URI> of font files

#### find

    public List<URI> find(String dir)

Searches a given directory for font files.

Parameters:
  `dir` - directory to search
Returns:
  list<URI> of font files